Get index settings
- GET /{index}/_settings/{name}
- GET /{index}/_settings
- GET /_settings/{name}
- GET /_settings
Get setting information for one or more indices. For data streams, it returns setting information for the stream's backing indices.
- Index privileges:
view_index_metadata
Path Parameters
-
indexIndexName | IndexNameoptional -
Comma-separated list of data streams, indices, and aliases used to limit the request. Supports wildcards (
*). To target all data streams and indices, omit this parameter or use*or_all.Leave it out to use
/_settings. -
nameName | Nameoptional -
Comma-separated list or wildcard expression of settings to retrieve.
Leave it out to use
/_settings.
Query Parameters
-
allow_no_indicesboolean · default: true If
false, the request returns an error if any wildcard expression, index alias, or_allvalue targets only missing or closed indices. This behavior applies even if the request targets other open indices. For example, a request targetingfoo*,bar*returns an error if an index starts with foo but no index starts withbar.-
expand_wildcardsstring ExpandWildcards · default: open Type of index that wildcard patterns can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. Supports comma-separated values, such as
open,hidden.Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
-
Values:
allopenclosedhiddennone -
flat_settingsboolean · default: false If
true, returns settings in flat format.If
false, the request returns an error if it targets a missing or closed index.-
include_defaultsboolean · default: false If
true, return all default settings in the response.-
localboolean · default: falsedeprecated If
true, the request retrieves information from the local node only. Iffalse, information is retrieved from the master node.-
master_timeoutstring Duration · default: 30s Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.
Response
Response Type: map string to IndexState